# Contains all the relevant file locations etc. for the different modules

import subprocess

GLOBAL_XML = "/opt/settings/sc-xml/globals.xml"
SC_CONFIGURATION = "/opt/settings/sc-xml/SC-Configuration.xml"
SC_MODIFICATIONS = "/opt/settings/sc-xml/SC-Modifications.xml"
SC_STATUS = "/opt/settings/sc-xml/status.xml"
# Executables
READ_EXECUTABLE = "/opt/bin/read-sixaola-settings"
WRITE_EXECUTABLE = "/opt/bin/save-sixaola-settings"
RESTART_EXECUTABLE = "/opt/bin/sixaola-restart"
MAC_ADDR_PROG = "/opt/bin/macaddr.get"
IP_ADDR_PROG = "/opt/bin/ip-address.sh"
CHECK_SEEDLINK_EXEC = "/opt/bin/check-seedlink.sh"
CHECK_CAPS_EXEC = "/opt/bin/check-caps.sh"

# Defaults and Wizard string
DEFAULTS_FILE = "/opt/settings/globals.conf"
WIZARD = "WizardRunFile"
TMP_WIZARD = "/tmp/python-wizard"


output = subprocess.check_output("cat /proc/version".split())
if "ARCH" in output:
    WEB_USER_PASS = "/srv/http/user/user.txt"
elif "Debian" in output:
    WEB_USER_PASS = "/var/www/user/user.txt"


